## google-glog 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)

if (POLICY CMP0042)
  cmake_policy (SET CMP0042 NEW)
endif (POLICY CMP0042)

if (POLICY CMP0063)
  cmake_policy (SET CMP0063 NEW)
endif (POLICY CMP0063)

project(glog VERSION 0.4.0 LANGUAGES C CXX)

set (CPACK_PACKAGE_NAME glog)
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "")
set (CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set (CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set (CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set (CPACK_PACKAGE_VERSION ${PROJECT_VERSION})

option (WITH_GFLAGS "Use gflags" ON)
option (WITH_THREADS "Enable multithreading support" ON)
option (WITH_TLS "Enable Thread Local Storage (TLS) support" ON)
option (BUILD_SHARED_LIBS "Build shared libraries" OFF)
option (PRINT_UNSYMBOLIZED_STACK_TRACES
  "Print raw pc values on symbolization failure" OFF)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include (CheckCSourceCompiles)
include (CheckCXXCompilerFlag)
include (CheckCXXSourceCompiles)
include (CheckCXXSourceRuns)
include (CheckFunctionExists)
include (CheckIncludeFile)
include (CheckIncludeFileCXX)
include (CheckLibraryExists)
include (CheckStructHasMember)
include (CheckSymbolExists)
include (CheckTypeSize)
include (CMakePackageConfigHelpers)
include (CMakePushCheckState)
include (CPack)
include (CTest)
include (DetermineGflagsNamespace)
include (GNUInstallDirs)

set (CMAKE_DEBUG_POSTFIX d)
set (CMAKE_THREAD_PREFER_PTHREAD 1)

if (WITH_GFLAGS)
  find_package (gflags 2.2.0)

  if (gflags_FOUND)
    set (HAVE_LIB_GFLAGS 1)
    determine_gflags_namespace (gflags_NAMESPACE)
  endif (gflags_FOUND)
endif (WITH_GFLAGS)

if (WITH_THREADS)
  find_package (Threads)
endif (WITH_THREADS)

check_include_file (dlfcn.h HAVE_DLFCN_H)
check_include_file (execinfo.h HAVE_EXECINFO_H)
check_include_file (glob.h HAVE_GLOB_H)
check_include_file (inttypes.h HAVE_INTTYPES_H)
check_include_file (libunwind.h HAVE_LIBUNWIND_H)
check_include_file (memory.h HAVE_MEMORY_H)
check_include_file (pwd.h HAVE_PWD_H)
check_include_file (stdint.h HAVE_STDINT_H)
check_include_file (stdlib.h HAVE_STDLIB_H)
check_include_file (string.h HAVE_STRING_H)
check_include_file (strings.h HAVE_STRINGS_H)
check_include_file (sys/stat.h HAVE_SYS_STAT_H)
check_include_file (sys/syscall.h HAVE_SYS_SYSCALL_H)
check_include_file (sys/time.h HAVE_SYS_TIME_H)
check_include_file (sys/types.h HAVE_SYS_TYPES_H)
check_include_file (sys/utsname.h HAVE_SYS_UTSNAME_H)
check_include_file (syscall.h HAVE_SYSCALL_H)
check_include_file (syslog.h HAVE_SYSLOG_H)
check_include_file (ucontext.h HAVE_UCONTEXT_H)
check_include_file (unistd.h HAVE_UNISTD_H)
check_include_file (unwind.h HAVE_UNWIND_H)
check_include_file (pwd.h HAVE_PWD_H)

check_include_file_cxx ("ext/hash_map" HAVE_EXT_HASH_MAP)
check_include_file_cxx ("ext/hash_set" HAVE_EXT_HASH_SET)
check_include_file_cxx ("ext/slist" HAVE_EXT_SLIST)
check_include_file_cxx ("tr1/unordered_map" HAVE_TR1_UNORDERED_MAP)
check_include_file_cxx ("tr1/unordered_set" HAVE_TR1_UNORDERED_SET)
check_include_file_cxx ("unordered_map" HAVE_UNORDERED_MAP)
check_include_file_cxx ("unordered_set" HAVE_UNORDERED_SET)

check_type_size ("unsigned __int16" HAVE___UINT16)
check_type_size (u_int16_t HAVE_U_INT16_T)
check_type_size (uint16_t HAVE_UINT16_T)

check_function_exists (dladdr HAVE_DLADDR)
check_function_exists (fcntl HAVE_FCNTL)
check_function_exists (pread HAVE_PREAD)
check_function_exists (pwrite HAVE_PWRITE)
check_function_exists (sigaction HAVE_SIGACTION)
check_function_exists (sigaltstack HAVE_SIGALSTACK)

# NOTE gcc does not fail if you pass a non-existent -Wno-* option as an
# argument. However, it will happily fail if you pass the corresponding -W*
# option. So, we check whether options that disable warnings exist by testing
# the availability of the corresponding option that enables the warning. This
# eliminates the need to check for compiler for several (mainly Clang) options.

check_cxx_compiler_flag (-Wdeprecated HAVE_NO_DEPRECATED)
check_cxx_compiler_flag (-Wunnamed-type-template-args
    HAVE_NO_UNNAMED_TYPE_TEMPLATE_ARGS)

# NOTE: Cannot use check_function_exists here since >=vc-14.0 can define
# snprintf as an inline function
check_symbol_exists (snprintf stdio.h HAVE_SNPRINTF)

check_library_exists (unwind get_static_proc_name "" HAVE_LIB_UNWIND)
check_library_exists (dbghelp UnDecorateSymbolName "" HAVE_DBGHELP)

find_library (UNWIND_LIBRARY NAMES unwind DOC "unwind library")
mark_as_advanced (UNWIND_LIBRARY)

check_c_source_compiles ("
#include <stdlib.h>
static void foo(void) __attribute__ ((unused));
int main(void) { return 0; }
" HAVE___ATTRIBUTE__)

check_c_source_compiles ("
#include <stdlib.h>
static void foo(void) __attribute__ ((visibility(\"default\")));
int main(void) { return 0; }
" HAVE___ATTRIBUTE__VISIBILITY_DEFAULT)

check_c_source_compiles ("
#include <stdlib.h>
static void foo(void) __attribute__ ((visibility(\"hidden\")));
int main(void) { return 0; }
" HAVE___ATTRIBUTE__VISIBILITY_HIDDEN)

check_c_source_compiles ("
int main(void) { if (__builtin_expect(0, 0)) return 1; return 0; }
" HAVE___BUILTIN_EXPECT)

check_c_source_compiles ("
int main(void)
{
  int a; if (__sync_val_compare_and_swap(&a, 0, 1)) return 1; return 0;
}
" HAVE___SYNC_VAL_COMPARE_AND_SWAP)

check_c_source_compiles ("
#define _XOPEN_SOURCE 500
#include <pthread.h>
int main(void)
{
  pthread_rwlock_t l;
  pthread_rwlock_init(&l, NULL);
  pthread_rwlock_rdlock(&l);
  return 0;
}
" HAVE_RWLOCK)

check_c_source_compiles ("
__declspec(selectany) int a;
int main(void) { return 0; }
" HAVE___DECLSPEC)

check_cxx_source_compiles ("
#include <vector>
vector<int> t; int main() { }
" STL_NO_NAMESPACE)

check_cxx_source_compiles ("
#include <vector>
std::vector<int> t; int main() { }
" STL_STD_NAMESPACE)

check_cxx_source_compiles ("
#include <iostream>
std::ostream& operator<<(std::ostream&, struct s);
using ::operator<<;
int main() { }
" HAVE_USING_OPERATOR)

check_cxx_source_compiles ("
namespace Outer { namespace Inner { int i = 0; }}
using namespace Outer::Inner;;
int main() { return i; }
" HAVE_NAMESPACES)

check_cxx_source_compiles ("
__thread int tls;
int main() { }
" HAVE_GCC_TLS)

check_cxx_source_compiles ("
__declspec(thread) int tls;
int main() { }
" HAVE_MSVC_TLS)

check_cxx_source_compiles ("
thread_local int tls;
int main() { }
" HAVE_CXX11_TLS)

check_cxx_source_compiles ("
#include <type_traits>
std::aligned_storage<sizeof(char), alignof(char)>::type data;
int main() { }
" HAVE_ALIGNED_STORAGE)

if (WITH_TLS)
  # Cygwin does not support the thread attribute. Don't bother.
  if (HAVE_GCC_TLS)
    set (GLOG_THREAD_LOCAL_STORAGE "__thread")
  elseif (HAVE_MSVC_TLS)
    set (GLOG_THREAD_LOCAL_STORAGE "__declspec(thread)")
  elseif (HAVE_CXX11_TLS)
    set (GLOG_THREAD_LOCAL_STORAGE thread_local)
  endif (HAVE_GCC_TLS)
endif (WITH_TLS)

set (_PC_FIELDS
  "gregs[REG_PC]"
  "gregs[REG_EIP]"
  "gregs[REG_RIP]"
  "sc_ip"
  "uc_regs->gregs[PT_NIP]"
  "gregs[R15]"
  "arm_pc"
  "mc_eip"
  "mc_rip"
  "__gregs[REG_EIP]"
  "__gregs[REG_RIP]"
  "ss.eip"
  "__ss.__eip"
  "ss.rip"
  "__ss.__rip"
  "ss.srr0"
  "__ss.__srr0"
)

set (_PC_HEADERS ucontext.h signal.h)

if (HAVE_UCONTEXT_H AND NOT PC_FROM_UCONTEXT)
  foreach (_PC_FIELD ${_PC_FIELDS})
    foreach (_PC_HEADER ${_PC_HEADERS})
      set (_TMP
      ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/uctfield.c)
      file (WRITE ${_TMP} "
#define _GNU_SOURCE 1
#include <${_PC_HEADER}>
int main(void)
{
  ucontext_t u;
  return u.${_PC_FIELD} == 0;
}
")
      try_compile (HAVE_PC_FROM_UCONTEXT ${CMAKE_CURRENT_BINARY_DIR} ${_TMP}
        COMPILE_DEFINITIONS _GNU_SOURCE=1)

      if (HAVE_PC_FROM_UCONTEXT)
        set (PC_FROM_UCONTEXT ${_PC_FIELD} CACHE)
      endif (HAVE_PC_FROM_UCONTEXT)
    endforeach (_PC_HEADER)
  endforeach (_PC_FIELD)
endif  (HAVE_UCONTEXT_H AND NOT PC_FROM_UCONTEXT)

if (STL_STD_NAMESPACE)
  set (STL_NAMESPACE std)
else (STL_STD_NAMESPACE)
  set (STL_NAMESPACE "")
endif (STL_STD_NAMESPACE)

set (GOOGLE_NAMESPACE google)
set (_START_GOOGLE_NAMESPACE_ "namespace ${GOOGLE_NAMESPACE} {")
set (_END_GOOGLE_NAMESPACE_ "}")

if (HAVE___UINT16)
  set (ac_cv_have___uint16 1)
else (HAVE___UINT16)
  set (ac_cv_have___uint16 0)
endif (HAVE___UINT16)

if (HAVE_INTTYPES_H)
  set (ac_cv_have_inttypes_h 1)
else (HAVE_INTTYPES_H)
  set (ac_cv_have_inttypes_h 0)
endif (HAVE_INTTYPES_H)

if (HAVE_LIB_GFLAGS)
  set (ac_cv_have_libgflags 1)
else (HAVE_LIB_GFLAGS)
  set (ac_cv_have_libgflags 0)
endif (HAVE_LIB_GFLAGS)

if (HAVE_STDINT_H)
  set (ac_cv_have_stdint_h 1)
else (HAVE_STDINT_H)
  set (ac_cv_have_stdint_h 0)
endif (HAVE_STDINT_H)

if (HAVE_SYS_TYPES_H)
  set (ac_cv_have_systypes_h 1)
else (HAVE_SYS_TYPES_H)
  set (ac_cv_have_systypes_h 0)
endif (HAVE_SYS_TYPES_H)

if (HAVE_U_INT16_T)
  set (ac_cv_have_u_int16_t 1)
else (HAVE_U_INT16_T)
  set (ac_cv_have_u_int16_t 0)
endif (HAVE_U_INT16_T)

if (HAVE_UINT16_T)
  set (ac_cv_have_uint16_t 1)
else (HAVE_UINT16_T)
  set (ac_cv_have_uint16_t 0)
endif (HAVE_UINT16_T)

if (HAVE_UNISTD_H)
  set (ac_cv_have_unistd_h 1)
else (HAVE_UNISTD_H)
  set (ac_cv_have_unistd_h 0)
endif (HAVE_UNISTD_H)

set (ac_google_namespace ${GOOGLE_NAMESPACE})
set (ac_google_end_namespace ${_END_GOOGLE_NAMESPACE_})
set (ac_google_start_namespace ${_START_GOOGLE_NAMESPACE_})

if (HAVE___ATTRIBUTE__)
  set (ac_cv___attribute___noreturn "__attribute__((noreturn))")
  set (ac_cv___attribute___noinline "__attribute__((noinline))")
elseif (HAVE___DECLSPEC)
  set (ac_cv___attribute___noreturn "__declspec(noreturn)")
  #set (ac_cv___attribute___noinline "__declspec(noinline)")
endif (HAVE___ATTRIBUTE__)

if (HAVE___BUILTIN_EXPECT)
  set (ac_cv_have___builtin_expect 1)
else (HAVE___BUILTIN_EXPECT)
  set (ac_cv_have___builtin_expect 0)
endif (HAVE___BUILTIN_EXPECT)

if (HAVE_USING_OPERATOR)
  set (ac_cv_cxx_using_operator 1)
else (HAVE_USING_OPERATOR)
  set (ac_cv_cxx_using_operator 0)
endif (HAVE_USING_OPERATOR)

if (HAVE_EXECINFO_H)
  set (HAVE_STACKTRACE 1)
endif (HAVE_EXECINFO_H)

if (WIN32 OR CYGWIN)
  cmake_push_check_state (RESET)
  set (CMAKE_REQUIRED_LIBRARIES DbgHelp)

  check_cxx_source_runs ([=[
  #include <windows.h>
  #include <dbghelp.h>
  #include <cstdlib>

  void foobar() { }

  int main()
  {
      HANDLE process = GetCurrentProcess();

      if (!SymInitialize(process, NULL, TRUE))
          return EXIT_FAILURE;

      char buf[sizeof(SYMBOL_INFO) + MAX_SYM_NAME];
      SYMBOL_INFO *symbol = reinterpret_cast<SYMBOL_INFO *>(buf);
      symbol->SizeOfStruct = sizeof(SYMBOL_INFO);
      symbol->MaxNameLen = MAX_SYM_NAME;

      void* const pc = reinterpret_cast<void*>(&foobar);
      BOOL ret = SymFromAddr(process, reinterpret_cast<DWORD64>(pc), 0, symbol);

      return ret ? EXIT_SUCCESS : EXIT_FAILURE;
  }
  ]=] HAVE_SYMBOLIZE)

  cmake_pop_check_state ()

  if (HAVE_SYMBOLIZE)
    set (HAVE_STACKTRACE 1)
  endif (HAVE_SYMBOLIZE)
elseif (UNIX OR (APPLE AND HAVE_DLADDR))
  set (HAVE_SYMBOLIZE 1)
endif (WIN32 OR CYGWIN)

check_cxx_source_compiles ("
#include <cstdlib>
#include <time.h>
int main()
{
    time_t timep;
    struct tm result;
    localtime_r(&timep, &result);
    return EXIT_SUCCESS;
}
" HAVE_LOCALTIME_R)

set (SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P})

if (WITH_THREADS AND Threads_FOUND)
  if (CMAKE_USE_PTHREADS_INIT)
    set (HAVE_PTHREAD 1)
  endif (CMAKE_USE_PTHREADS_INIT)
else (WITH_THREADS AND Threads_FOUND)
  set (NO_THREADS 1)
endif (WITH_THREADS AND Threads_FOUND)

set (TEST_SRC_DIR \"${CMAKE_CURRENT_SOURCE_DIR}\")

configure_file (src/config.h.cmake.in config.h)
configure_file (src/glog/logging.h.in glog/logging.h @ONLY)
configure_file (src/glog/raw_logging.h.in glog/raw_logging.h @ONLY)
configure_file (src/glog/stl_logging.h.in glog/stl_logging.h @ONLY)
configure_file (src/glog/vlog_is_on.h.in glog/vlog_is_on.h @ONLY)

set (CMAKE_CXX_VISIBILITY_PRESET default)
set (CMAKE_VISIBILITY_INLINES_HIDDEN 1)

set (GLOG_PUBLIC_H
  ${CMAKE_CURRENT_BINARY_DIR}/glog/logging.h

## google-glog 0.3.0

=== debian/changelog ===
google-glog (0.3.0-1) unstable; urgency=low

  * Initial release. (Closes: #555329: ITP: google-glog -- application-
    level logging APIs based on C++-style)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 24 Jul 2010 23:04:29 +0900

=== debian/control ===
Source: google-glog
Section: libs
Priority: optional
Maintainer: Daigo Moriwaki <daigo@debian.org>
Build-Depends: debhelper (>= 7), autoconf, automake, libtool, cdbs, quilt, binutils, libunwind7-dev [amd64]
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/google-glog/
Vcs-Browser: http://git.debian.org/?p=collab-maint/google-glog.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/google-glog.git

Package: libgoogle-glog0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a library that implements application-level logging.
 This library provides logging APIs based on C++-style streams and
 various helper macros.

Package: libgoogle-glog0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgoogle-glog0 (= ${binary:Version}), ${misc:Depends}
Description: a library that implements application-level logging.
 This library provides logging APIs based on C++-style streams and
 various helper macros.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: libgoogle-glog-dev
Section: libdevel
Architecture: any
Depends: libgoogle-glog0 (= ${binary:Version}), ${misc:Depends}
Description: a library that implements application-level logging.
 This library provides logging APIs based on C++-style streams and
 various helper macros.  The devel package contains static and debug
 libraries and header files for developing applications that use the
 google-glog package.
 .
 This package contains the header files for developers using google-glog.

=== debian/rules ===
#!/usr/bin/make -f
           
# a workaround since value '0' did not work
glog_sover = glog0 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_AUTO_UPDATE_AUTOCONF = 2.61
DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_LIBTOOL = pre

DEB_INSTALL_DIRS_libgoogle-glog0 += usr/lib
# so_ver / glog_sover did not work here...
DEB_INSTALL_DOCS_libgoogle-glog0 += $(DEB_SRCDIR)/doc/designstyle.css
DEB_INSTALL_DOCS_libgoogle-glog0 += $(DEB_SRCDIR)/doc/glog.html

DEB_INSTALL_DIRS_libgoogle-glog-dev += usr/lib
DEB_INSTALL_DIRS_libgoogle-glog-dev += usr/lib/pkgconfig
DEB_INSTALL_DIRS_libgoogle-glog-dev += usr/include
DEB_INSTALL_DIRS_libgoogle-glog-dev += usr/include/glog


binary-install/libgoogle-glog0::
	(cd $(CURDIR)/debian/tmp/usr/lib && \
	    for f in lib*.so.* ; do \
		echo usr/lib/$$f; \
	    done) | xargs dh_install --autodest -p$(cdbs_curpkg) 

binary-install/libgoogle-glog-dev::
	# Will not include usr/lib/lib*.*a until fixing lintian error (incorrect-libdir-in-la-file)
	dh_install -p$(cdbs_curpkg) --autodest usr/lib/pkgconfig
	(cd $(CURDIR)/debian/tmp/usr/lib && \
	    for f in lib*.so ; do \
		echo usr/lib/$$f; \
	    done) | xargs dh_install --autodest -p$(cdbs_curpkg) 
	(cd $(CURDIR)/debian/tmp && \
	    find usr/include/glog -name '*.h' -type f) | \
	    xargs dh_install --autodest -p$(cdbs_curpkg)

## google-glog 0.3.1

=== debian/changelog ===
google-glog (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: replaced "debianized".
  * debian/control: Bumped up Standards-Version to 3.9.1.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 05 Mar 2011 16:43:39 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daigo Moriwaki <daigo@debian.org>
 Build-Depends: debhelper (>= 7), autoconf, automake, libtool, cdbs, quilt, binutils, libunwind7-dev [amd64]
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/google-glog/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/google-glog.git;a=summary
 Vcs-Git: git://git.debian.org/collab-maint/google-glog.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
-DEB_AUTO_UPDATE_AUTOCONF = 2.61
+DEB_MAKE_CHECK_TARGET := check
+
+DEB_AUTO_UPDATE_AUTOCONF = 2.67
 DEB_AUTO_UPDATE_ACLOCAL = 1.11
 DEB_AUTO_UPDATE_LIBTOOL = pre

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
version=3
http://code.google.com/p/google-glog/downloads/list \
    detail\?name=glog-(.*).tar.gz.*

## google-glog 0.3.2

=== debian/changelog ===
google-glog (0.3.2-3ubuntu1) quantal; urgency=low

  * Again, build-depend on libunwind-dev on i386 too. LP: #935137.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 13:41:53 +0200

google-glog (0.3.2-3) unstable; urgency=low

  * debian/control:
    - Adds Laszlo Boszormenyi (GCS) into Uploaders.
    - Build-Depends on libunwind8 as before.
    - Corrected descriptions.
    - libgoogle-glog-dev depends on libgflags-dev as well.
      (Closes: #676605)
  * Adds debian/patches/20120617_fix_test_on_ppc.diff:
    Fixes to make a test run on powerpc.
    (Closes: #645744)
  * debian/rules: Freshens autotools by using autotools-dev.

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 21 Jun 2012 21:07:21 +0900

google-glog (0.3.2-2) unstable; urgency=low

  * Put back Daigo Moriwaki as maintainer and add myself as uploader.
  * Correct doc-base paths.
  * Fix FTBFS on Hurd with debian/patches/20120617_fix_for_hurd.diff.
    (http://code.google.com/p/google-glog/issues/detail?id=124)
  * Only run testsuite if /proc is mounted, fixes FTBFS on several archs. Also
    add debian/patches/20120621_errnos.diff to fix tests on Hurd.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 07 Jun 2012 08:50:15 +0000

google-glog (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #673241)
  * Fix FTBFS on several architectures (Closes: #644602, #645744)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 31 May 2012 20:57:32 +0900

google-glog (0.3.1-2) unstable; urgency=low

  * Added patches to fix test errors.
    - debian/patches/20110923-r91-demangle.diff fixes
      a test error caused by src/demangle_unittest.sh.
    - debian/patches/20110923-r92-reduce-stack-consumpution.diff
      fixes a test caused by src/symbolize_unittest.cc.
    (Closes: #621385)
  * debian/control:
    - Bumped up Standards-Version to 3.9.2.
    - Fixed lintian errors: description-synopsis-starts-with-article

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 23 Sep 2011 22:53:12 +0900

=== debian/control ===
Source: google-glog
Section: libs
Priority: optional
Maintainer: Daigo Moriwaki <daigo@debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 9.0.0), autotools-dev, libgflags-dev, libunwind8-dev [amd64 i386]
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/google-glog/
Vcs-Browser: http://git.debian.org/?p=collab-maint/google-glog.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/google-glog.git

Package: libgoogle-glog-dev
Section: libdevel
Architecture: any
Depends: libgoogle-glog0 (= ${binary:Version}), libgflags-dev, ${misc:Depends}
Description: library that implements application-level logging.
 This library provides logging APIs based on C++-style streams and
 various helper macros.
 .
 This package contains static and debug libraries and header files for
 developing applications.

Package: libgoogle-glog0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library that implements application-level logging.
 This library provides logging APIs based on C++-style streams and
 various helper macros.
 .
 This package contains shared libraries.

Package: libgoogle-glog-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation of gloogle-glog
 This library provides logging APIs based on C++-style streams and
 various helper macros.
 .
 This package contains documentation files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export DEB_BUILD_OPTIONS=noopt

%:
	dh $@ --with autotools_dev

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_test:
	if [ -f /proc/version ]; then $(MAKE) check; fi

get-orig-source:
	uscan --verbose --force-download --rename

## google-glog 0.3.3

=== debian/changelog ===
google-glog (0.3.3-1) unstable; urgency=low

  * New upstream release.  (Closes: #702483)
  * Replaces debian/patches/debian/patches/20120617_fix_test_on_ppc.diff
    with debian/patches/20130313_fix_test_on_ports.diff. Some test should
    be run only on x86 and x86_64.
    Thanks to Michael Terry for a patch.  (Closes: #699444, #702985)

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 15 Mar 2013 00:05:54 +0900

google-glog (0.3.2-4) unstable; urgency=low

  * debian/control: Build-Depends on libunwind-dev on i386 as well.
    Thanks to Matthias Klose for the fix.  (Closes: #690229)
  * Uses dh-autoreconf to fix FTBFS on hurd-i386, which was degraded by the
    previous release.
    Thanks to Pino Toscano for the patch.  (Closes: #690252)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 13 Oct 2012 20:59:46 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daigo Moriwaki <daigo@debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 9.0.0), autotools-dev, libgflags-dev, libunwind8-dev [amd64 i386]
+Build-Depends: debhelper (>= 9.0.0), autotools-dev, dh-autoreconf, libgflags-dev, libunwind8-dev [i386 amd64]
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/google-glog/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/google-glog.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-#export DEB_BUILD_OPTIONS=noopt
+export DEB_BUILD_OPTIONS=noopt
 
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog

## google-glog 0.3.4

=== debian/changelog ===
google-glog (0.3.4-0.1) unstable; urgency=medium

  * Non maintainer upload.
  * New upstream version.
  * Ignore test results (the demangler is not aware of the __cxx11 symbols
    in GCC 5's libstdc++). See #792649.
  * Rename libgoogle-glog0 -> libgoogle-glog0v5, follow-up transition
    for the libstdc++6 ABI changes.
  * Re-enable optimization. Closes: #749169.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Aug 2015 09:41:28 +0200

google-glog (0.3.3-2) unstable; urgency=medium

  * debian/control: Build-Depends on libunwind7-dev as well to backport more
    easily.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 09 Feb 2014 10:11:13 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daigo Moriwaki <daigo@debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 9.0.0), autotools-dev, dh-autoreconf, libgflags-dev, libunwind8-dev [i386 amd64]
+Build-Depends: debhelper (>= 9.0.0), autotools-dev, dh-autoreconf, libgflags-dev, libunwind8-dev [i386 amd64] | libunwind7-dev [i386 amd64]
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/google-glog/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/google-glog.git;a=summary
@@ -12,7 +12,7 @@
 Package: libgoogle-glog-dev
 Section: libdevel
 Architecture: any
-Depends: libgoogle-glog0 (= ${binary:Version}), libgflags-dev, ${misc:Depends}
+Depends: libgoogle-glog0v5 (= ${binary:Version}), libgflags-dev, ${misc:Depends}
 Description: library that implements application-level logging.
  This library provides logging APIs based on C++-style streams and
  various helper macros.
@@ -20,10 +20,12 @@
  This package contains static and debug libraries and header files for
  developing applications.
 
-Package: libgoogle-glog0
+Package: libgoogle-glog0v5
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgoogle-glog0
+Replaces: libgoogle-glog0
 Description: library that implements application-level logging.
  This library provides logging APIs based on C++-style streams and
  various helper macros.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_test:
	-if [ -f /proc/version ]; then $(MAKE) check; fi

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
http://code.google.com/p/google-glog/downloads/list?can=1 .*/glog-(\d[\d.]*)\.tar\.gz

## google-glog 0.3.5

=== debian/changelog ===
google-glog (0.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Remove Daigo Moriwaki from maintaining this package (closes: #863765).
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Jun 2017 19:39:39 +0000

google-glog (0.3.4-2) unstable; urgency=low

  * Only alter documentation when it's built.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Mar 2016 11:34:25 +0000

google-glog (0.3.4-1) unstable; urgency=low

  * Fix FTBFS on x32 (closes: #819120).
  * Enable parallel compilation.
  * Update homepage and source URLs.
  * Update watch file.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Mar 2016 08:27:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: google-glog
 Section: libs
 Priority: optional
-Maintainer: Daigo Moriwaki <daigo@debian.org>
-Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 9.0.0), autotools-dev, dh-autoreconf, libgflags-dev, libunwind8-dev [i386 amd64] | libunwind7-dev [i386 amd64]
-Standards-Version: 3.9.3
-Homepage: http://code.google.com/p/google-glog/
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 10), autotools-dev, dh-autoreconf, libgflags-dev, libunwind8-dev [i386 amd64] | libunwind7-dev [i386 amd64]
+Standards-Version: 4.0.0
+Homepage: https://github.com/google/glog
 Vcs-Browser: http://git.debian.org/?p=collab-maint/google-glog.git;a=summary
 Vcs-Git: git://git.debian.org/collab-maint/google-glog.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DOCDIR=$(CURDIR)/debian/libgoogle-glog-doc/

override_dh_installdocs-indep:
	dh_installdocs
	sed -i 's|http.*/favicon.ico||' \
		$(DOCDIR)/usr/share/doc/libgoogle-glog-doc/glog.html

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_test:
	-if [ -f /proc/version ]; then $(MAKE) check; fi

%:
	dh $@ --with autoreconf --parallel

get-orig-source:
	uscan --verbose --force-download --rename

.PHONY: override_dh_installdocs-indep override_dh_installchangelogs \
	override_dh_auto_test

=== debian/watch ===
version=3
https://github.com/google/glog/tags .+/v?(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## google-glog 0.4.0

=== debian/changelog ===
google-glog (0.4.0-4) unstable; urgency=medium

  * Add libunwind-dev dependency to libgoogle-glog-dev (closes: #980696).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 21 Jan 2021 17:58:52 +0100

google-glog (0.4.0-3) unstable; urgency=medium

  * Do install CMake files.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Jan 2021 21:57:56 +0100

google-glog (0.4.0-2) unstable; urgency=medium

  * Add upstream metadata.
  * Update watch file.
  * Update packaging bits.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.1 .

  [ Nobuhiro Iwamatsu <nobuhiro1.iwamatsu@toshiba.co.jp> ]
  * Ship CMake files (closes: #977952).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Jan 2021 17:58:50 +0100

google-glog (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Disable Vcs-* fields for now.
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency,
    - remove autotools-dev build dependency,
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Aug 2019 17:55:16 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), autotools-dev, dh-autoreconf, libgflags-dev, libunwind8-dev [i386 amd64] | libunwind7-dev [i386 amd64]
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 12), cmake, libgflags-dev, libunwind-dev [i386 amd64] | libunwind7-dev [i386 amd64]
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/google/glog
-Vcs-Browser: http://git.debian.org/?p=collab-maint/google-glog.git;a=summary
-Vcs-Git: git://git.debian.org/collab-maint/google-glog.git
 
 Package: libgoogle-glog-dev
 Section: libdevel
 Architecture: any
-Depends: libgoogle-glog0v5 (= ${binary:Version}), libgflags-dev, ${misc:Depends}
+Depends: libgoogle-glog0v5 (= ${binary:Version}), libgflags-dev, libunwind-dev [i386 amd64] | libunwind7-dev [i386 amd64], ${misc:Depends}
 Description: library that implements application-level logging.
  This library provides logging APIs based on C++-style streams and
  various helper macros.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DOCDIR=$(CURDIR)/debian/libgoogle-glog-doc/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
BUILDDIR = obj-$(DEB_HOST_MULTIARCH)

CONFIGURE_ARGS= \
 -DCMAKE_BUILD_TYPE=Release \
 -DLIB_INSTALL_DIR:STRING="lib/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs-indep:
	dh_installdocs
	sed -i 's|http.*/favicon.ico||' \
		$(DOCDIR)/usr/share/doc/libgoogle-glog-dev/glog.html

override_dh_auto_build:
	# dynamically linked
	dh_auto_build -B $(BUILDDIR)
	# statically linked
	dh_auto_build -B $(BUILDDIR)-static

override_dh_auto_configure:
	# dynamically linked
	dh_auto_configure -B $(BUILDDIR) \
		-- $(CONFIGURE_ARGS) \
		-DBUILD_SHARED_LIBS=ON \
		-DBUILD_TESTING=ON

	# statically linked
	dh_auto_configure -B $(BUILDDIR)-static \
		-- $(CONFIGURE_ARGS) \
		-DBUILD_SHARED_LIBS=OFF \
		-DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install -O--buildsystem=cmake -B $(BUILDDIR)
	find $(CURDIR)/debian/tmp/ -type d -name .cmake | xargs -r rm -rfv

execute_before_dh_install:
	# put the static libs together with the rest of the stuff
	cp -v $(BUILDDIR)-static/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	-$(RM) -r $(BUILDDIR)-static

override_dh_auto_test:
	-if [ -f /proc/version ]; then $(MAKE) check; fi

%:
	dh  $@ --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --rename

.PHONY: override_dh_installdocs-indep override_dh_auto_install \
	execute_before_dh_install override_dh_auto_build \
	override_dh_auto_test override_dh_auto_configure

=== debian/watch ===
version=4
https://github.com/google/glog/tags .+/v?(\d\S+)@ARCHIVE_EXT@

## google-glog 0.5.0%2Breally0.4.0

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12), cmake, libgflags-dev, libunwind-dev [i386 amd64] | libunwind7-dev [i386 amd64]
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), cmake, libgflags-dev, libunwind-dev [i386 amd64] | libunwind7-dev [i386 amd64]
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/google/glog

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DOCDIR=$(CURDIR)/debian/libgoogle-glog-doc/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
BUILDDIR = obj-$(DEB_HOST_MULTIARCH)

CONFIGURE_ARGS= \
 -DCMAKE_BUILD_TYPE=Release \
 -DLIB_INSTALL_DIR:STRING="lib/$(DEB_HOST_MULTIARCH)"

override_dh_auto_configure-arch:
	# statically linked
	dh_auto_configure -B $(BUILDDIR)-static \
		-- $(CONFIGURE_ARGS) \
		-DBUILD_SHARED_LIBS=OFF \
		-DBUILD_TESTING=OFF

	# dynamically linked
	dh_auto_configure -B $(BUILDDIR) \
		-- $(CONFIGURE_ARGS) \
		-DBUILD_SHARED_LIBS=ON \
		-DBUILD_TESTING=ON

override_dh_auto_configure-indep:
	# not needed

override_dh_auto_build-arch:
	# statically linked
	dh_auto_build -a -B $(BUILDDIR)-static
	# dynamically linked
	dh_auto_build -a -B $(BUILDDIR)

override_dh_auto_build-indep:
	# not needed


override_dh_auto_install-arch:
	dh_auto_install -a -O--buildsystem=cmake -B $(BUILDDIR)-static
	dh_auto_install -a -O--buildsystem=cmake -B $(BUILDDIR)
	# put the static libs together with the rest of the stuff
	cp -v $(BUILDDIR)-static/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	-$(RM) -r $(BUILDDIR)-static
	find $(CURDIR)/debian/tmp/ -type d -name .cmake | xargs -r rm -rfv

override_dh_auto_install-indep:
	# not needed

override_dh_install-arch:
	dh_install -a -O--buildsystem=cmake
	# only for real 0.5.0
#ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 i386))
#	dh_install -plibgoogle-glog-dev debian/tmp/usr/share/glog usr/share/
#endif

override_dh_install-indep:
	# not needed

override_dh_auto_test-arch:
	-if [ -f /proc/version ]; then $(MAKE) check; fi

override_dh_auto_test-indep:
	# not needed

override_dh_installdocs-indep:
	dh_installdocs
	sed -i 's|http.*/favicon.ico||' \
		$(DOCDIR)/usr/share/doc/libgoogle-glog-dev/glog.html

override_dh_compress:
	dh_compress -X.rst

%:
	dh  $@ --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --rename

.PHONY: override_dh_auto_configure-arch override_dh_auto_configure-indep \
	override_dh_auto_build-arch override_dh_auto_build-indep \
	override_dh_auto_install-arch override_dh_auto_install-indep \
	override_dh_install-arch override_dh_install-indep \
	override_dh_auto_test-arch override_dh_auto_test-indep \
	override_dh_installdocs-indep override_dh_compress

## google-glog 0.5.0+really0.4.0

=== debian/changelog ===
google-glog (0.5.0+really0.4.0-1) unstable; urgency=medium

  * Revert to 0.4.0 due to upstream ABI break without SONAME change.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Oct 2021 22:09:58 +0200

google-glog (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Rework packaging.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Oct 2021 17:50:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,34 +13,34 @@
  -DLIB_INSTALL_DIR:STRING="lib/$(DEB_HOST_MULTIARCH)"
 
 override_dh_auto_configure-arch:
+	# dynamically linked
+	dh_auto_configure -B $(BUILDDIR) \
+		-- $(CONFIGURE_ARGS) \
+		-DBUILD_SHARED_LIBS=ON \
+		-DBUILD_TESTING=ON
+
 	# statically linked
 	dh_auto_configure -B $(BUILDDIR)-static \
 		-- $(CONFIGURE_ARGS) \
 		-DBUILD_SHARED_LIBS=OFF \
 		-DBUILD_TESTING=OFF
 
-	# dynamically linked
-	dh_auto_configure -B $(BUILDDIR) \
-		-- $(CONFIGURE_ARGS) \
-		-DBUILD_SHARED_LIBS=ON \
-		-DBUILD_TESTING=ON
-
 override_dh_auto_configure-indep:
 	# not needed
 
 override_dh_auto_build-arch:
+	# dynamically linked
+	dh_auto_build -a -B $(BUILDDIR)
 	# statically linked
 	dh_auto_build -a -B $(BUILDDIR)-static
-	# dynamically linked
-	dh_auto_build -a -B $(BUILDDIR)
 
 override_dh_auto_build-indep:
 	# not needed
 
 
 override_dh_auto_install-arch:
+	dh_auto_install -a -O--buildsystem=cmake -B $(BUILDDIR)
 	dh_auto_install -a -O--buildsystem=cmake -B $(BUILDDIR)-static
-	dh_auto_install -a -O--buildsystem=cmake -B $(BUILDDIR)
 	# put the static libs together with the rest of the stuff
 	cp -v $(BUILDDIR)-static/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 	-$(RM) -r $(BUILDDIR)-static

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://github.com/google/glog/tags \
(?:|.*/)v?(\d\S*)@ARCHIVE_EXT@
